package com.rf.psychological.scale.service;

import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.scale.dao.dto.ResultDto;
import com.rf.psychological.scale.dao.model.WarnEntity;
import org.springframework.data.domain.Page;

import java.util.List;
import java.util.Map;

public interface WarnService {
    WarnEntity save(WarnEntity warnEntity);

    Page<WarnEntity> find(JSONObject jsonObject) throws Exception;

    void deleteByFlagAndInstitutionNo(String dimensionId, String institutionNo);

    List<Map<String,Object>> findResultList(int pageNum, int pageSize,String flag, String institutionNo, String searckKey);

    List<WarnEntity> findByResultId(String resultId);

    int findResultListCount(String flag, String institutionNo, String searckKey);

    int findByInstitutionNo(String institutionNo);
}
